LOCALE(1)

NOM
locale - Obtenir des informations sur les paramètres régionaux

SYNOPSIS
locale [OPTION]
locale [OPTION] -a
locale [OPTION] -m
locale [OPTION] NAME...

DESCRIPTION
La commande locale affiche des informations sur la localisation (NdT : la localisation est aussi appelée paramètres régionaux, ou « locale » en anglais) en cours ou pour toutes les localisations, sur la sortie standard.

Appelée sans paramètre, locale affiche les définitions en cours de chaque catégorie des paramètres régionaux (voir locale(5)), en fonction des variables d'environnement contrôlant la localisation (voir locale(7)).

Si l'option -a ou -m (ou leur équivalent sous forme longue) est indiquée, le comportement suivi cela le suivant :

-a, --all-locales
    Afficher la liste de toutes les localisations disponibles. L'option -v permet d'afficher les métadonnées de chaque locale.

-m, --charmaps
    Afficher les tables de caractères disponibles (fichiers de description de jeux de caractères).

La commande locale peut être appelée avec un ou plusieurs paramètres, qui sont les mots-clés d'une localisation (par exemple date_fmt, ctype-class-names, yesexpr ou decimal_point) ou les catégories d'une localisation (par exemple LC_CTYPE ou LC_TIME). Pour chaque paramètre est affiché :

-   Pour un mot-clé de localisation, la valeur de ce mot-clé est affichée.

-   Pour une catégorie de localisation, les valeurs des mots-clés dans cette catégorie sont affichées.

Lorsque des paramètres sont fournis, les options suivantes sont applicables :

-c, --category-name
    Si le paramètre est un nom de catégorie, afficher le nom de la catégorie sur une ligne distincte avant la liste des mots-clés de cette catégorie.

    Si le paramètre est un mot-clé, afficher le nom de la catégorie de ce mot-clé sur une ligne distincte avant la valeur du mot-clé.

    Cette option améliore la lisibilité lorsque plusieurs paramètres sont indiqués. Elle peut être combinée avec l'option -k.

-k, --keyword-name
    Pour chaque mot-clé à afficher, inclure également le nom du mot-clé sous la forme suivante :

        mot-clé="valeur"

La commande locale reconnait les options suivantes :

-v, --verbose
    Afficher des informations supplémentaires sur les options et paramètres de la ligne de commande.

-?, --help
    Afficher un résumé des options et paramètres de la ligne de commande, puis terminer.

--usage
    Afficher un court message d'aide et terminer.

-V, --version
    Afficher la version du programme et terminer.

CONFORMITÉ
POSIX.1-2001, POSIX.1-2008

EXEMPLE
$ locale
LANG=fr_FR.UTF-8
LC_CTYPE="fr_FR.UTF-8"
LC_NUMERIC="fr_FR.UTF-8"
LC_TIME="fr_FR.UTF-8"
LC_COLLATE="fr_FR.UTF-8"
LC_MONETARY="fr_FR.UTF-8"
LC_MESSAGES="fr_FR.UTF-8"
LC_PAPER="fr_FR.UTF-8"
LC_NAME="fr_FR.UTF-8"
LC_ADDRESS="fr_FR.UTF-8"
LC_TELEPHONE="fr_FR.UTF-8"
LC_MEASUREMENT="fr_FR.UTF-8"
LC_IDENTIFICATION="fr_FR.UTF-8"
LC_ALL=

$ locale date_fmt
%A %-e %B %Y, %H:%M:%S (UTC%z)

$ locale -k date_fmt
date_fmt="%A %-e %B %Y, %H:%M:%S (UTC%z)"

$ locale -ck date_fmt
LC_TIME
date_fmt="%A %-e %B %Y, %H:%M:%S (UTC%z)"

$ locale LC_MESSAGES
^[oOyY].*
^[nN].*

UTF-8

$ locale -k LC_MESSAGES
yesexpr="^[oOyY].*"
noexpr="^[nN].*"
yesstr=""
nostr=""
messages-codeset="UTF-8"

VOIR AUSSI
locale(5), locale(7)

COLOPHON
Cette page fait partie de la publication 3.65 du projet man-pages Linux. Une description du projet et des instructions pour signaler des anomalies peuvent être trouvées à l'adresse http://www.kernel.org/doc/man-pages/.

TRADUCTION
Depuis 2010, cette traduction est maintenue à l'aide de l'outil po4a <http://po4a.alioth.debian.org/> par l'équipe de traduction francophone au sein du projet perkamon <http://perkamon.alioth.debian.org/>.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet manpages-fr.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».